## unity 7.6.0+22.10.20220913-0ubuntu1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project (unity)
-cmake_minimum_required(VERSION 2.8.9)
+cmake_minimum_required(VERSION 3.17.0)
 
 include (cmake/Documentation.cmake)
 include (cmake/pch.cmake)
@@ -10,8 +10,8 @@
 #
 set (PROJECT_NAME "unity")
 set (UNITY_MAJOR 7)
-set (UNITY_MINOR 5)
-set (UNITY_MICRO 1)
+set (UNITY_MINOR 6)
+set (UNITY_MICRO 0)
 set (UNITY_VERSION "${UNITY_MAJOR}.${UNITY_MINOR}.${UNITY_MICRO}")
 set (UNITY_API_VERSION "6.0")
 set (UNITY_COMPONENTS_VERSION "6")
