=== unity-shared/CMakeLists.txt ===
--- 
+++ 
@@ -30,6 +30,7 @@
      DesktopApplicationManager.cpp
      EMConverter.cpp
      ExpanderView.cpp
+     FileManager.cpp
      GnomeFileManager.cpp
      FontSettings.cpp
      GraphicsUtils.cpp
@@ -45,6 +46,7 @@
      LayoutSystem.cpp
      LineSeparator.cpp
      MenuManager.cpp
+     NemoFileManager.cpp
      OverlayRenderer.cpp
      OverlayScrollView.cpp
      OverlayWindowButtons.cpp
