=== debian/changelog ===
unity (7.6.0+22.10.20220913-0ubuntu1) kinetic; urgency=medium

  [ Rudra Saraswat ]
  * Added transparent dash border
  * Replaced launcher bfb with Ubuntu Unity logo
  * Removed broken app info and ratings from dash
  * Simplified app preview in dash
  * Fixed the 'Empty Trash' button in the launcher
  * Fixed the standalone testing Unity7 launcher

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Tue, 13 Sep 2022 15:01:46 +0000

unity (7.5.1+22.10.20220818-0ubuntu1) kinetic; urgency=medium

  [ Alberts Muktupāvels ]
  * Fix build after Compiz changes

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 18 Aug 2022 10:35:27 +0000
