=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: cmake,
+Build-Depends: cmake (>= 3.17.0),
                compiz-dev (>= 1:0.9.13.1+18.04.20180221),
                debhelper (>= 9.0.0~),
                dbus-test-runner,
@@ -90,7 +90,6 @@
 	 unity-scope-home,
 Recommends: unity-control-center,
             ${unity-default-masterscopes}
-            nautilus (>> 3.37.1),
             nemo,
             gnome-disk-utility,
             hud,
