## unity 7.7.0%2B23.04.20230222.2-0ubuntu7

=== unity-shared/CMakeLists.txt ===
--- 
+++ 
@@ -30,9 +30,9 @@
      DesktopApplicationManager.cpp
      EMConverter.cpp
      ExpanderView.cpp
-     FileManager.cpp
      GnomeFileManager.cpp
      FontSettings.cpp
+     FileManager.cpp
      GraphicsUtils.cpp
      IMTextEntry.cpp
      IconLoader.cpp
