## unity 7.7.0+23.04.20230222.2-0ubuntu2

=== debian/changelog ===
unity (7.7.0+23.04.20230222.2-0ubuntu2) lunar; urgency=medium

  [ Rudra Saraswat ]
  * Remove indicator-messages due to crashes, add indicator-notifications

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 18 Apr 2023 21:41:06 +0300

unity (7.7.0+23.04.20230222.2-0ubuntu1) lunar; urgency=medium

  [ Rudra Saraswat ]
  * Added UWidgets, a new widget system for Unity based on Blighty
  * Made the dash vertical and moved the scope bar to the top
  * Increased the panel height to 30
  * Added indicator-notifications as a Recommend

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 22 Feb 2023 18:38:29 +0000
